This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 210739 - yum 3.0-5 broken
yum 3.0-5 broken
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 21:01 EDT by Wade Nelson
Modified: 2014-01-21 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-15 01:28:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wade Nelson 2006-10-13 21:01:55 EDT
running developement/extras-development repos... yum 3.0-5 broken with latest
updates.  Only other packages updated were kernel, initscripts, and gcc-related,
shouldn't cause yum breakage:

root@hb-130 ~ $ yum clean all && yum list '*nrg*'
Loading "installonlyn" plugin
Cleaning up Everything
Loading "installonlyn" plugin
Setting up repositories
livna-development         100% |=========================|  951 B    00:00     
extras-development        100% |=========================| 1.1 kB    00:00     
development               100% |=========================| 1.1 kB    00:00     
macromedia                100% |=========================|  951 B    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================|  76 kB    00:01     
################################################## 185/185
primary.xml.gz            100% |=========================| 1.1 MB    00:16     
################################################## 3564/3564
primary.xml.gz            100% |=========================| 821 kB    00:13     
################################################## 2241/2241
primary.xml.gz            100% |=========================| 1.0 kB    00:00     
################################################## 2/2
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 102, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 359, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 160, in doCommand
    ypl = base.returnPkgLists(extcmds)
  File "/usr/share/yum-cli/cli.py", line 851, in returnPkgLists
    ypl = self.doPackageLists(pkgnarrow=pkgnarrow)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 979, in
doPackageLists
    avail = self.pkgSack.returnNewestByNameArch()
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 287, in
returnNewestByNameArch
   
bestofeach.addList(self._computeAggregateListResult("returnNewestByNameArch",
naTup))
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 323, in
_computeAggregateListResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 465, in
returnNewestByNameArch
    return yumRepo.YumPackageSack.returnNewestByNameArch(self, naTup)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 563, in
returnNewestByNameArch
    if pkg.EVR > pkg2.EVR:
  File "/usr/lib/python2.4/site-packages/yum/packages.py", line 330, in <lambda>
    EVR = property(fget=lambda self: self.returnEVR())
AttributeError: YumAvailablePackageSqlite instance has no attribute 'returnEVR'

root@hb-130 ~ $ yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
No Packages marked for Update/Obsoletion

root@hb-130 ~ $ yum search '*nrg*'
Loading "installonlyn" plugin
Setting up repositories
Reading repository metadata in from local files
No Matches found

root@hb-130 ~ $ 


so far its only the list command that I've found broken


root@hb-130 ~ $ yum --version
Loading "installonlyn" plugin
3.0
root@hb-130 ~ $ grep yum /var/log/yum.log
Oct 11 17:01:33 Updated: yum.noarch 3.0-4
Oct 13 18:49:03 Updated: yum.noarch 3.0-5
root@hb-130 ~ $ 


3.0-4 wasn't tested, as I didn't use 'yum list' in that two-day span.

additional data can be provided as needed, just comment on this bug.
Comment 1 Wade Nelson 2006-10-15 01:28:15 EDT
Fixed with yum version 3.0-6

Note You need to log in before you can comment on or make changes to this bug.